package com.bonus.app.service;

import com.bonus.app.entity.BoxEntity;
import com.bonus.app.entity.BraceletEntity;
import com.bonus.common.core.web.domain.AjaxResult;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * APP 手环管理
 */

public interface BraceletService  {

    /**
     * 查询手环箱数据
     * @param entity
     * @return
     */
    AjaxResult getBoxListById(BoxEntity entity);

    /**
     * 查询当前手环箱
     * 设备信息
     * @param entity
     * @return
     */
    AjaxResult getBoxInfo(BoxEntity entity);

    /**
     * 查询手环 使用信息
     * @param entity
     * @return
     */
    AjaxResult getBoxToUser(BoxEntity entity);

    /**
     * 发放手环
     * @param entity
     * @return
     */
    AjaxResult sendBoxBracelet(BoxEntity entity);

    /**
     * 手环使用情况
     * @param entity
     * @return
     */
    AjaxResult getBoxBraceletUsed(BoxEntity entity);

    /**
     *归还手环箱
     * @param entity
     * @return
     */
    AjaxResult returnBoxBracelet(BoxEntity entity);

    /**
     * 新增临时人员
     * @param file
     * @param params
     * @return
     */
    AjaxResult addLsUser(MultipartFile file, String params);
}
